/*
 * Copyright (c) 2004, ADAPT project partners (IST-2001-37126).
 * 
 * LogEventLocal.java
 */

package org.eu.adapt.demonstrator.eb.demo;

import javax.ejb.EJBException;
import javax.ejb.EJBLocalObject;

public interface LogEventLocal extends EJBLocalObject
{
    public String getId()
        throws EJBException;

    public String getServiceId()
        throws EJBException;

    public int getEventId()
        throws EJBException;

    public String getEventDescription()
        throws EJBException;

    public String getTimestamp()
        throws EJBException;

    public DemoUserLocal getDemoUser()
        throws EJBException;

    public RepositoryLocal getRepository()
        throws EJBException;
}
